#include <LiquidCrystal.h>

LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

const int switchPinA = 8;
const int switchPinB = 13;
int switchState = 0;
int menuA = 0;
int menuB = 0;

void setup()
{
    lcd.begin(16, 2);
    Serial.begin(9600);
    pinMode(switchPinA, INPUT);
    pinMode(switchPinB, INPUT);
    lcd.clear();
    lcd.setCursor(1, 0);
    lcd.print("WELCOME");
    lcd.setCursor(0, 1);
    lcd.print("NIGHT RIDER!");
    delay(500);
    lcd.clear();
    lcd.setCursor(0, 1);
    lcd.print("Computing....");
    delay(500);
}

void loop()
{
    menuA = digitalRead(switchPinA);
    Serial.print(menuA);
    menuB = digitalRead(switchPinB);
    lcd.setCursor(0, 1);
    lcd.print("Waiting for instructions...");
    lcd.clear();
    lcd.setCursor(0, 0);
    if (menuA == HIGH)
    {
        Serial.print("Menu A ");
        Serial.print(menuA);
        Serial.print("\n");
        lcd.clear();
        lcd.print("Hello...");
    }

    if (menuB == HIGH)
    {
        Serial.print("Menu B ");
        Serial.print(menuB);
        Serial.print("\n");
        lcd.clear();
        lcd.setCursor(0, 1);
        lcd.print("Sylvain!");
    }

    delay(250);
}
